{{/*
SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
SPDX-License-Identifier: Apache-2.0
*/}}
{{- if .Values.namespaceWatcher.enabled }}
---
apiVersion: "rbac.authorization.k8s.io/v1"
kind: "RoleBinding"
metadata:
  name: {{ include "common.names.fullname" . | quote }}
  namespace: {{ .Release.Namespace | quote }}
roleRef: # points to the ClusterRole
  apiGroup: "rbac.authorization.k8s.io"
  kind: "Role"
  name: {{ include "common.names.fullname" . | quote }}
subjects: # points to the ServiceAccount
- kind: "ServiceAccount"
  name: {{ include "common.names.fullname" . | quote }}
  namespace: {{ .Release.Namespace | quote }} # ns of service account
...
{{- end }}
